karaf-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jens Reimann <jreim...@redhat.com>
Subject Trouble validating feature with 'org.osgi.services.io'
Date Tue, 02 Aug 2016 12:49:25 GMT
Hi,

I am currently trying to build a Karaf feature including validation. One
bundle in the feature does have a dependency on 'org.osgi.service.io'. This
package should be provided by the framework later on. However this fails
the validation:

---
missing requirement [org.eclipse.equinox.io/1.0.400.v20120522-2049]
osgi.wiring.package; filter:="(&(osgi.wiring.package=org.osgi.service.io
)(version>=1.0.0)(!(version>=1.1.0)))"]
---

I did add the framework to the validation:

----
<descriptor>mvn:org.apache.karaf.features/framework/${karaf.version}/xml/features</descriptor>
<descriptor>mvn:org.apache.karaf.features/standard/${karaf.version}/xml/features</descriptor>
----

The full maven POM is here: http://pastebin.com/VtiWJRuA

Thanks

Jens

-- 
Jens Reimann
Senior Software Engineer / EMEA ENG Middleware
Werner-von-Siemens-Ring 14
85630 Grasbrunn
Germany
phone: +49 89 2050 71286
_____________________________________________________________________________

Red Hat GmbH, www.de.redhat.com,
Registered seat: Grasbrunn, Commercial register: Amtsgericht Muenchen, HRB
153243,
Managing Directors: Paul Argiry, Charles Cachera, Michael Cunningham,
Michael O'Neill

Mime
View raw message